Hi I was wondering if u support Ipod Touch 5? I am running Ubuntu 12.10 with GTKpod 2.1.1. Does the newest version Support my Ipod?
Thx Justin Judd